#!/usr/bin/env python
# encoding: utf-8

"""
Docstring for atm
"""


__author__ = 'Raphael.Marvie@lifl.fr'
__date__ = '2007-03-21'


class Account(object):
    """Simple implementation of a bank account"""
    def __init__(self, balance=0, overdraft=0):
        self._balance = balance
        self._overdraft = overdraft
        
    def credit(self, amount):
        if amount >= 0:
            self._balance += amount
        
    def debit(self, amount):
        if amount <= self._balance + self._overdraft:
            self._balance -= amount

    def balance():
        doc = "The balance property."
        def fget(self):
            return self._balance
        return locals()
    balance = property(**balance())

    def overdraft():
        doc = "The overdraft property."
        def fget(self):
            return self._overdraft
        return locals()
    overdraft = property(**overdraft())

# eof
