Story: User withdraws cash

As a Bank card holder
I want to be able to withdraw cash from an ATM
So that I don't have to visit the bank

Scenario: Happy scenario

Given account is in credit
When user requests cash
Ensure ATM should dispense cash
and ATM should return bank card to customer
and account balance should be reduced

Scenario: Happy scenario with overdraft

Given account has overdraft permission
When user requests cash
Ensure ATM should dispense cash
and ATM should return bank card to customer
and account balance should be reduced

Scenario: Overdrawn without permission

Given account has negative balance without permission
When user requests cash
Ensure ATM should refuse cash
and ATM should return bank card to customer

Scenario: In lots of trouble

Given account is over overdraft limit
When user requests cash
Ensure ATM should refuse cash
and ATM should return bank card to customer

