# encoding: utf-8

""" 
Classes for the collecting and provessing of results from stories and
scenarios.
"""


__author__ = 'Raphael.Marvie@lifl.fr'
__date__ = '2007-03-21'


class ScenarioResult(object):
    """Result of a Scenario."""
    def __init__(self, name, story, status, details=''):
        self.name = name
        self.story = story
        self.status = status
        self.details = details


class SimpleScenarioOutput(object):
    """Simple scenario output"""

    def process(self, result):
        """Process the given result."""
        print '%s, %s: %s %s' % \
            (result.name, result.story, result.status, result.details)
    

# eof
